﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		private DispatcherTimer timer = new DispatcherTimer() { Interval = TimeSpan.FromSeconds(1) };
		private int ticks = 5;

		public MainPage()
		{
			InitializeComponent();
			timer.Tick += new EventHandler(Timer_Tick);
			timer.Start();
		}

		private void Timer_Tick(object sender, EventArgs e)
		{
			if (this.ticks == 0)
			{
				this.timer.Stop();
				this.focusButton.Focus();
				this.timer.Start();
				this.ticks = 5;
			}
			else
			{
				this.ticks -= 1;
				this.focusButton.Content = string.Format("This button will be focused in {0} sec.", this.ticks);
			}
		}

		private void RadTreeView_LostFocus(object sender, RoutedEventArgs e)
		{
			var focusedElement = FocusManager.GetFocusedElement() as FrameworkElement;
			var parentTreeView = focusedElement.ParentOfType<RadTreeView>();
			if (parentTreeView == null)
			{
				RadDragAndDropManager.CancelDrag();
			}
		}
	}
}
